declare const defaultParameters: {
    fields: string;
    omit: string;
    sort: string;
    offset: string;
    limit: string;
    q: string;
};
interface Options {
    ignoredFields?: string | string[];
    parser?: {
        parse(query: string, options?: any): any;
        stringify(obj: object, options?: any): string;
    };
    parserOptions?: any;
    dateFields?: string | string[];
    objectIdFields?: string | string[];
    fullTextFields?: string | string[];
    parameters?: Partial<typeof defaultParameters>;
    maxLimit?: number;
}
declare function qsToMongo(query: string | object, options?: Options): {
    criteria: {
        [x: string]: any;
    };
    options: import("./query/options-to-mongo").ParsedOptions;
    links: (url: string, totalCount: number) => {
        prev: string;
        first: string;
        next: string;
        last: string;
    } | null;
};
export = qsToMongo;
