"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.fieldsToProjection = void 0;
function fieldsToProjection(fields) {
    let fieldsArray;
    if (Array.isArray(fields)) {
        fieldsArray = fields;
    }
    else if (typeof fields === 'string') {
        fieldsArray = fields.split(',');
    }
    else {
        return null;
    }
    return fieldsArray.reduce((hash, field) => {
        let project = 1;
        if (field.startsWith('-')) {
            field = field.substr(1);
            project = 0;
        }
        hash[field.trim()] = project;
        return hash;
    }, {});
}
exports.fieldsToProjection = fieldsToProjection;
//# sourceMappingURL=fields-to-projection.js.map