interface QueryStringOptions {
    fields?: string;
    omit?: string;
    sort?: string;
    offset?: string | number;
    limit?: string | number;
}
export interface ParsedOptions {
    projection: {
        [key: string]: 0 | 1;
    };
    sort: {
        [key: string]: 1 | -1;
    };
    skip: number;
    limit: number;
}
interface Options {
    maxLimit?: number;
    parameters: {
        fields: string;
        omit: string;
        sort: string;
        offset: string;
        limit: string;
    };
}
export declare function parseQueryOptions(query: QueryStringOptions, { maxLimit, parameters }: Options): ParsedOptions;
export {};
